camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Henryk Konsek <hekon...@gmail.com>
Subject Re: Scala DSL with Scala 2.10
Date Mon, 28 Jan 2013 12:22:56 GMT
> And they do not support Scala 2.9 for their latest stable release of
> Akka, eg 2.1.0
> http://typesafe.com/stack/downloads/akka
> So if they do not do that, we may also consider not supporting Scala 2.9.

Actually Scala/Akka community has been heavily criticised for breaking
binary compatibility. With all my respect and favour to the Scala/Akka
community I don't believe that we should take Akka as an example in
this particular issue :) .

New Scala version has been releases just a few weeks ago. I really
don't believe that we should force our Scala users to migrate to the
bleeding-edge version of the language just because they want to use
one of our new 2.11 features [1].

Remember that we will reduce active development on camel-scala_2.9 to
minimum of effort. All new features to the Scala DSL will be included
only in the new 2.10 branch.

[1] http://camel.apache.org/camel-2110-release.html

--
Henryk Konsek
http://henryk-konsek.blogspot.com

Mime
View raw message